%define fversion 10
%define debug_package %{nil}

Name: beesu
Version: 2.1
Release: 1%{?dist}
Summary: Bee's installer script for beesu

URL: http://forums.fedoraforum.org/showthread.php?t=201579
Group: Applications/System
License: GPLv2+

Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: fedora-release >= %{fversion}
Requires: pam, usermode

%description
Beesu is a wrapper around su and works with consolehelper under
Fedora to let you have a graphic interface like gksu.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}

make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}



%files
%defattr(-,root,root,-)
%doc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Jan 29 2009 Bee <http://forums.fedoraforum.org/member.php?u=119750> 2.1-1
- version bump for YUM!

* Fri Nov 28 2008 Bee <http://forums.fedoraforum.org/member.php?u=119750> 2.0-1
- new RPMs for Fedora 10 and some source clean up.

* Mon Oct 27 2008 Bee <http://forums.fedoraforum.org/member.php?u=119750> 1.0-3
- new RPMs

* Wed Oct 15 2008 Bee <http://forums.fedoraforum.org/member.php?u=119750> 1.0-2
- package needs to be arch specific , patch so rpm builds in mock or as non-root & clean up

* Mon Oct 13 2008 Bee <http://forums.fedoraforum.org/member.php?u=119750> 1.0-1
- initial release
